Drop the base-{etch,lenny} tasks files as make_disc_trees.pl already take

care of including packages needed by debootstrap.
This commit is contained in:
Frans Pop 2008-05-04 17:56:56 +00:00
parent c580e320e8
commit 3146f1e1fe
11 changed files with 145 additions and 3109 deletions

111
build_arch.sh Executable file
View File

@ -0,0 +1,111 @@
#! /bin/sh
set -e
## Wrapper script for build.sh
## See CONF.sh for the meaning of variables used here.
# Set configuration file to be used for the build and source it
export CF=CONF.sh
. $CF
export DEBIAN_CD_CONF_SOURCED=true
# The architecture for which to build the CD/DVD image
if [ "$2" ]; then
ARCH=$2
else
ARCH=i386
fi
export ARCH
# The suite the installed system will be based on
export CODENAME=lenny
# The suite the udebs for the installer will be taken from
export DI_CODENAME=lenny
## The debian-installer images to use (must be compatible with the suite
## (DI_CODENAME) from which udebs will be taken
## Use only one of the next three settings
## See also: tools/boot/<codename>/boot-$ARCH scripts
# Use official images
export DI_WWW_HOME=http://ftp.nl.debian.org/debian/dists/lenny/main/installer-$ARCH/current/images/
# Or, use daily built d-i images (most from http://people.debian.org)
#export DI_WWW_HOME=default
# Or, use custom (locally built) images
#export DI_DIR=$LOCALDEBS/images/$ARCH
# Include local packages in the build
#export LOCAL=1
# Build only the first CD/DVD by default
# Uncomment/change separate values for full/dvd targets further down
# if you want to build more
export MAXCDS=1
# Options that include CODENAME should be set here if needed, not in CONF.sh
#export EXCLUDE1="$BASEDIR"/tasks/exclude-$CODENAME
#export UNEXCLUDE2="$BASEDIR"/tasks/unexclude-CD2-$CODENAME
#export UDEB_INCLUDE="$BASEDIR"/data/$CODENAME/udeb_include
#export UDEB_EXCLUDE="$BASEDIR"/data/$CODENAME/udeb_exclude
#export BASE_INCLUDE="$BASEDIR"/data/$CODENAME/base_include
#export BASE_EXCLUDE="$BASEDIR"/data/$CODENAME/base_exclude
#export SPLASHPNG="$BASEDIR/data/$CODENAME/splash-img.png"
#export RELEASE_NOTES_LOCATION="http://www.debian.org/releases/$CODENAME"
## Except for the MAXCDS settings, the rest of the script should just work
# Set variables that determine the type of image to be built
export DISKTYPE="$1"
case $DISKTYPE in
BC)
export INSTALLER_CD=1
;;
NETINST)
export INSTALLER_CD=2
;;
CD)
unset INSTALLER_CD
#export MAXCDS=3
;;
DVD)
export INSTALLER_CD=3
#export MAXCDS=1
;;
*)
echo "Usage: build_arch.sh BC|NETINST|CD|DVD [<ARCH>]"
exit 1
;;
esac
if [ "$LOCAL" ]; then
echo "Updating Packages files for local repository"
./tools/Packages-gen.sh $CODENAME
if [ "$DI_CODENAME" ] && [ "$DI_CODENAME" != "$CODENAME" ]; then
./tools/Packages-gen.sh $DI_CODENAME
fi
fi
# Update debian-installer task files
if [ -d tasks ]; then
echo "Updating debian-installer task files..."
(
cd tasks
../tools/generate_di_list
../tools/generate_di+k_list
)
else
echo "Error: cannot find tasks directory"
exit 1
fi
echo
echo "Starting the actual debian-cd build..."
./build.sh $ARCH
# Avoid conflicts when the repository is updated later
if [ -d .svn ]; then
echo
echo "Cleanup: reverting generated changes in tasks..."
svn revert tasks/debian-installer-* \
tasks/debian-installer+kernel-*
fi

6
debian/changelog vendored
View File

@ -22,7 +22,11 @@ debian-cd (3.0.5) UNRELEASED; urgency=low
[ Santiago Garcia ]
* Start to add armel support.
-- Frans Pop <fjp@debian.org> Fri, 11 Apr 2008 20:18:10 +0200
[ Frans Pop ]
* Drop the base-{etch,lenny} tasks files as make_disc_trees.pl already take
care of including packages needed by debootstrap.
-- Frans Pop <fjp@debian.org> Sun, 04 May 2008 19:55:17 +0200
debian-cd (3.0.4) unstable; urgency=low

View File

@ -6,7 +6,6 @@
/* Packages that should really be on CD1 */
#include <debian-installer+kernel-etch>
#include <base-etch>
#include <forcd1-etch>
#include <task-essential-etch>

View File

@ -7,7 +7,6 @@
/* Packages that should really be on CD1 */\
#include <debian-installer+kernel-etch>
#include <base-etch>
#include <forcd1>
#include <task-essential-etch-kde>

View File

@ -7,7 +7,6 @@
/* Packages that should really be on CD1 */\
#include <debian-installer+kernel-etch>
#include <base-etch>
#include <forcd1>
#include <task-essential-etch-xfce>

View File

@ -6,7 +6,6 @@
/* Packages that should really be on CD1 */
#include <debian-installer+kernel-lenny>
#include <base-lenny>
#include <forcd1-lenny>
#include <task-essential-lenny>

View File

@ -7,7 +7,6 @@
/* Packages that should really be on CD1 */\
#include <debian-installer+kernel-lenny>
#include <base-lenny>
#include <forcd1>
#include <task-essential-lenny-kde>

View File

@ -7,7 +7,6 @@
/* Packages that should really be on CD1 */\
#include <debian-installer+kernel-lenny>
#include <base-lenny>
#include <forcd1>
#include <task-essential-lenny-xfce>

File diff suppressed because it is too large Load Diff

File diff suppressed because it is too large Load Diff

29
tools/Packages-gen.sh Executable file
View File

@ -0,0 +1,29 @@
#! /bin/sh
set -e
if [ ! -d $LOCALDEBS ]; then
echo "error: LOCALDEBS variable not set"
exit 1
fi
cd $LOCALDEBS
distr=$1
if [ -z "$distr" ]; then
echo "Usage: $(basename $0) <codename>"
exit 1
elif [ ! -d dists/$distr/local/ ]; then
echo "No local repository matching '$distr' was found"
exit 1
fi
for repo in dists/$distr/local/binary-*; do
[ -d $repo ] || break
echo Creating Packages file for $repo...
apt-ftparchive packages $repo | gzip >$repo/Packages.gz
done
for repo in dists/$distr/local/debian-installer/binary-*; do
[ -d $repo ] || break
echo Creating Packages file for $repo...
apt-ftparchive packages $repo | gzip >$repo/Packages.gz
done
echo "Done."